Package mvpa :: Package measures :: Module base :: Class SplitFeaturewiseDatasetMeasure

[hide private]
[frames] | no frames]

# Class SplitFeaturewiseDatasetMeasure

source code

Compute measures across splits for a specific analyzer

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, splitter, analyzer, insplit_index=0, combiner=None, **kwargs) Initialize SplitFeaturewiseDatasetMeasure | source code

untrain(self) Untrain SplitFeaturewiseDatasetMeasure | source code

_call(self, dataset) Computes a per-feature-measure on a given Dataset. | source code

Inherited from `FeaturewiseDatasetMeasure`: `__repr__`, `combiner`

Inherited from `FeaturewiseDatasetMeasure` (private): `_postcall`

Inherited from `DatasetMeasure`: `__call__`, `null_dist`, `transformer`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `__str__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| sensitivities = `StateVariable(enabled= False, doc= "Sensitivit`...``
| splits = `StateVariable(enabled= False, doc= """Store the actua`...``
Inherited from `FeaturewiseDatasetMeasure`: `base_sensitivities` Inherited from `DatasetMeasure`: `__doc__`, `null_prob`, `null_t`, `raw_results` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

| __analyzer Analyzer to use per split
| __combiner Which functor to use to combine all sensitivities
| __splitter Splitter to be used on the dataset

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, splitter, analyzer, insplit_index=0, combiner=None, **kwargs)
(Constructor)

source code

Initialize SplitFeaturewiseDatasetMeasure

Parameters:
  - `splitter` (Splitter) - Splitter to use to split the dataset
  - `analyzer` (DatasetMeasure) - Measure to be used. Could be analyzer as well (XXX)
  - `insplit_index` (int) - splitter generates tuples of dataset on each iteration (usually 0th for training, 1st for testing). On what split index in that tuple to operate.
Overrides: object.__init__

### untrain(self)

source code

Untrain SplitFeaturewiseDatasetMeasure

Overrides: DatasetMeasure.untrain

### _call(self, dataset)

source code

Computes a per-feature-measure on a given Dataset.

Behaves like a DatasetMeasure, but computes and returns a 1d ndarray with one value per feature.

Overrides: DatasetMeasure._call
  (inherited documentation)

Class Variable Details | [hide private]

### sensitivities

Value:

      StateVariable(enabled= False, doc= "Sensitivities produced for each sp
      lit")

### splits

Value:

      StateVariable(enabled= False, doc= """Store the actual splits of the d
      ata. Can be memory expensive""")